import es
import cmdlib
import popuplib

info = es.AddonInfo()
info['name']        = "Server Modes"
info['version']     = "0.6"
info['author']      = "Tyjuji"

def load():
	global thePopup
	thePopup = popuplib.create('smodes_popup')
	thePopup.addlineAll("Exec FFA Config")
	thePopup.addlineAll("Exec CW Config")
	thePopup.addlineAll("Exec Jail Config")
	thePopup.select('1', 'servermodes_ffa')
	thePopup.select('2', 'servermodes_cw')
	thePopup.select('3', 'servermodes_jail')
	es.load('examples/auth/mani_basic_auth')
	if not es.exists('command', 'servermodes_ffa'):
		es.regcmd('servermodes_ffa', 'servermodes_ffa', 'The Server Modes FFA config')
	if not es.exists('command', 'servermodes_cw'):
		es.regcmd('servermodes_cw', 'servermodes_cw', 'The Server Modes CW config')
	if not es.exists('command', 'servermodes_jail'):
		es.regcmd('servermodes_jail', 'servermodes_jail', 'The Server modes Jail config')
	if not es.exists('command', '!ffa'):
		cmdlib.registerSayCommand('!ffa', servermodes_ffa, 'The say ffa command', 'use_servermodes_ffa', 'ADMIN', saycmd_noauth)
	if not es.exists('command', '!cw'):
		cmdlib.registerSayCommand('!cw', servermodes_cw, 'The say cw command', 'use_servermodes_cw', 'ADMIN', saycmd_noauth)
	if not es.exists('command', '!jail'):
		cmdlib.registerSayCommand('!jail', servermodes_jail, 'The say jail command', 'use_servermodes_jail', 'ADMIN', saycmd_noauth)
	if not es.exists('command', '!smodes'):
		cmdlib.registerSayCommand('!smodes', thePopup.send(userid), 'The popup sender', 'use_smodespopup', 'ADMIN', saycmd_noauth)
	if not es.exists('command', 'servermodes_mode'):
		es.regcmd('servermodes_mode', 'none', 'The NONE')

userid = es.getcmduserid()

def none():
	es.ServerCommand('echo The Cake Was A Lie? O.o')

def servermodes_ffa():
	es.msg('Changing to FFA Config')
	es.ServerCommand('exec servermodesffa.cfg')
	es.set('servermodes_mode', 1)

def servermodes_cw():
	es.msg('Changing to CW config')
	es.ServerCommand('exec servermodescw.cfg')
	es.set('servermodes_mode', 2)
	
def servermodes_jail():
	es.msg('Changing to Jail config')
	es.ServerCommand('exec servermodesjail.cfg')
	es.set('servermodes_mode', 3)

def es_map_start(event_var):
	if servermodes_mode == 1:
		es.doblock("servermodes/servermodes_ffa()")
	elif servermodes_mode == 2:
		es.doblock("servermodes/servermodes_cw()")
	elif servermodes_mode == 3:
		es.doblock ("servermodes/servermodes_jail()")

def saycmd_noauth(userid, args):
	es.tell(userid, '#multi #green [Server Modes]#lightgreen You are not Authorized!!!')

def unload():
	thePopup.delete()
	cmdlib.unregisterSayCommand('!ffa')
	cmdlib.unregisterSayCommand('!cw')
	cmdlib.unregisterSayCommand('!jail')
